// pages/ispBusiness/mobile.js
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ispId: '',
    mobile: '',
    cmobile: '',
    pwd: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      ispId: options.ispId
    })
  },

  //确定
  submitData() {
    let params = {
      cusMobile: utils.trimAll(this.data.mobile),
      cusConfirmMobile: utils.trimAll(this.data.cmobile),
      password: utils.trimAll(this.data.pwd),
      ispId: this.data.ispId,
      mobile: utils.getInfo().mobile,
      reqChannel: 5
    }
    if (params.cusMobile === '') {
      utils.toast('新手机号不能为空')
      return
    }
    if (!utils.testMobile(params.cusMobile)) {
      utils.toast('请填写正确的手机号')
      return
    }
    if (params.cusConfirmMobile === '') {
      utils.toast('确认手机号不能为空')
      return
    }
    if (params.cusMobile !== params.cusConfirmMobile) {
      utils.toast('两次手机号码输入不一致')
      return
    }
    if (params.password === '') {
      utils.toast('登录密码不能为空')
      return
    }
    utils.axios({
      method: 'post',
      url: '/auth/oper/user/modifyCusMobile',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '提交中...',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        utils.funPrev(prev => {
          prev.getDetail()
          utils.toast('管理员手机号修改成功')
          wx.navigateBack()
        })
      }
    })
  },

  getMobile(e) {
    let value = e.detail.value
    this.setData({
      mobile: value
    })
  },

  getCmobile(e) {
    let value = e.detail.value
    this.setData({
      cmobile: value
    })
  },

  getPwd(e) {
    let value = e.detail.value
    this.setData({
      pwd: value
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})